Lavalite package that provides teste00pkg management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `reinaldo/teste00pkg`.

    "reinaldo/teste00pkg": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Reinaldo\Teste00pkg\Providers\Teste00pkgServiceProvider::class,

And also add it to alias

    'Teste00pkg'  => Reinaldo\Teste00pkg\Facades\Teste00pkg::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Reinaldo\\Teste00pkg\\Seeders\\Teste00pkgTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Reinaldo\Teste00pkg\Providers\Teste00pkgServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Reinaldo\Teste00pkg\Providers\Teste00pkgServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Reinaldo\Teste00pkg\Providers\Teste00pkgServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/teste00pkg/{modulename}

**User**

    http://path-to-route-folder/user/teste00pkg/{modulename}

**Public**

    http://path-to-route-folder/teste00pkgs


### API endpoints

**List**

    http://path-to-route-folder/api/user/teste00pkg/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/teste00pkg/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/teste00pkg/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/teste00pkg/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/teste00pkg/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/teste00pkg/{modulename}/{slug}
    METHOD: GET